org.apache.ignite.internal.visor.util

## Class VisorMimeTypes

- java.lang.Object
- - org.apache.ignite.internal.visor.util.VisorMimeTypes

    public class VisorMimeTypes
    extends Object

Helper class to get MIME type.

### Constructor Summary

Constructors
Constructor and Description
`VisorMimeTypes()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getContentType(byte[] data, String name)`
`static String` `getContentType(File f)`
`static String` `guessContentTypeFromName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorMimeTypes

    public VisorMimeTypes()

### Method Detail

#### getContentType

    @Nullable
    public static String getContentType(File f)

Parameters:
  `f` - File to detect content type.
Returns:
  Content type.

#### getContentType

    @Nullable
    public static String getContentType(byte[] data,
                                                  String name)

Parameters:
  `data` - Bytes to detect content type.
  `name` - File name to detect content type by file name.
Returns:
  Content type.

#### guessContentTypeFromName

    @Nullable
    public static String guessContentTypeFromName(String name)

Parameters:
  `name` - File name to detect content type by file name.
Returns:
  Content type.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018